# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           stormbaancoureur
Version:        2.1.6
Release:        alt1_9
Summary:        Physics-based obstacle course simulation
Group:          Games/Other
License:        GPLv3
URL:            http://www.stolk.org/stormbaancoureur/
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.6
Source2:        %{name}_32.png
Source3:        %{name}_64.png
Patch0:         stormbaancoureur-2.1.6-mga-makefile.patch
Patch1:         stormbaancoureur-2.1.6-deb-fullscreen-optional.patch

BuildRequires:  pkgconfig(freeglut)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(ode)
BuildRequires:  plib-devel
Source44: import.info

%description
Your objective is to drive your car along an obstacle course. Success depends
on total control of the car. If you want to master it, try to have the laws
of physics work with you, not against you.

%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build

%make_build CFLAGS=$CFLAGS -C src-%{name} LIBDIRNAME=%{_lib}

%install
%makeinstall_std -C src-%{name}

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Stormbaan Coureur
GenericName=Obstacle course game
Comment=Physics-based obstacle course simulation
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;Simulation;
EOF

install -D -m644 %{_sourcedir}/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

install -D -m644 %{_sourcedir}/%{name}_32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m644 %{_sourcedir}/%{name}_64.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png

%files
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
* Tue Apr 05 2022 Igor Vlasenko <viy@altlinux.org> 2.1.6-alt1_9
- fixed build

* Mon Nov 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.1.6-alt1_8
- mga update

* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 2.1.6-alt1_7
- update

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.6-alt1_6
- update by mgaimport

* Sun Aug 05 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.6-alt1_5
- new mga release

* Sun Jun 12 2016 Igor Vlasenko <viy@altlinux.ru> 2.1.6-alt1_3
- converted for ALT Linux by srpmconvert tools

